<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Ajout Film</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>

<body>
<div th:insert="fragments/navbar :: navbar"></div>

<div class="container my-5">
    <h3> Ajout Seat</h3>
    <div class="card">
        <div class="card-body">
            <div class="col-md-10">
                <form action="#" th:action="@{/seat/save}" th:object="${seat}"
                      method="post">
                    <div class="row">
                        <div class="form-group col-md-8">
                            <label for="seatNumber" class="col-form-label">Seat Number</label>
                            <input type="text" th:field="*{seatNumber}" class="form-control"
                                   id="seatNumber" placeholder="Seat Number" />
                        </div>
                        <div class="form-group col-md-8">
                            <label for="room" class="col-form-label">Room</label>
                            <select th:field="*{room.id}" class="form-control">
                                <option th:each="room : ${roomList}"
                                        th:value="${room.id}" th:text="${room.roomNumber}" />
                            </select>
                        </div>
                        <div class="form-group col-md-8">
                            <label for="seatType" class="col-form-label">Seat Type</label>
                            <select th:field="*{type}" class="form-control">
                                <option value="comfort">Comfort</option>
                                <option value="classic">Classic</option>
                                <option value="double">Double</option>
                            </select>
                        </div>
                        <div class="col-md-6">
                            <input type="submit" class="btn btn-primary" value="Submit">
                        </div>
                        <input type="hidden" id="id" th:field="*{id}">
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
</body>

</html>